Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78242 - Header files for c missing in devel rpms
Summary: Header files for c missing in devel rpms
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-20 15:26 UTC by Need Real Name
Modified: 2013-04-02 04:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-12 12:07:44 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-11-20 15:26:27 UTC
Description of Problem:

The header files are missing in the devel rpms

Version-Release number of selected component (if applicable):

ImageMagick-5.4.7-5

Additional Information:

patches which make it work (but are ugly) are: 
	

patch for the spec:


-- SPECS/ImageMagick.spec      2002-08-11 03:51:29.000000000 +0200
+++ SPECS/ImageMagick.spec.new  2002-11-20 18:11:38.000000000 +0100
@@ -9,7 +9,7 @@
 %else
 Version: %{VER}
 %endif
-Release: 5
+Release: 6
 License: freeware
 Group: Applications/Multimedia
 %if "%{Patchlevel}" != ""
@@ -24,6 +24,7 @@
 Patch4: ImageMagick-5.4.0-hp2xx.patch
 Patch5: ImageMagick-5.4.7-localdoc.patch
 Patch6: ImageMagick-5.4.7-stdin.patch
+Patch7: ImageMagick-5.4.7-c++include.patch
 Url: http://www.imagemagick.org/
 Buildroot: %{_tmppath}/%{name}-%{version}-root
 BuildPrereq: bzip2-devel, freetype-devel, libjpeg-devel, libpng-devel
@@ -32,7 +33,7 @@
 BuildRequires: freetype-devel >= 2.0.1
 %define _prefix /usr/X11R6
 %define _mandir %{_prefix}/man
-%define _includedir %{_prefix}/include/X11/magick
+%define _includedir %{_prefix}/include/

 %description
 ImageMagick(TM) is an image display and manipulation tool for the X
@@ -111,6 +112,7 @@
 %patch4 -p1 -b .hp2xx
 %patch5 -p1 -b .ImageMagick
 %patch6 -p1 -b .stdin
+%patch7 -p1 -b .c++include

 %build
 libtoolize --force
@@ -215,7 +217,7 @@
 %{_libdir}/libMagick.la
 %{_libdir}/libMagick.so
 %dir %{_includedir}/
-%{_includedir}/*h
+%{_includedir}/magick/*h

 %files c++
 %defattr(-,root,root)
@@ -223,8 +225,8 @@

 %files c++-devel
 %defattr(-,root,root)
-%{_includedir}/Magick++
-%{_includedir}/Magick++.h
+%{_includedir}/X11/magick/Magick++
+%{_includedir}/X11/magick/Magick++.h
 %{_libdir}/libMagick++.a
 %{_libdir}/libMagick++.la
 %{_libdir}/libMagick++.so
@@ -235,6 +237,9 @@
 /usr/lib/perl*/site_perl/*/*/Image

 %changelog
+* Wed Nov 20 2002 Nils Bluethgen <nils@itb.biologie.hu-berlin.de> 5.4.7-6
+- fixed includes for non-c++ devel
+
 * Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
 - rebuilt with gcc-3.2 (we hope)

and the patchfile ImageMagick-5.4.7-c++include.patch

--- ImageMagick-5.4.7/Magick++/bin/Magick++-config.in.orig      2002-11-20 
18:14
:18.000000000 +0100
+++ ImageMagick-5.4.7/Magick++/bin/Magick++-config.in   2002-11-20 
18:15:29.0000
00000 +0100
@@ -30,7 +30,7 @@
       echo @MAJOR_VERSION@.@MINOR_VERSION@.@MICRO_VERSION@
       ;;
     --cppflags)
-      echo "-I@INCLUDE_DIR@ @CPPFLAGS@"
+      echo "-I/usr/X11R6/include/X11/magick -I@INCLUDE_DIR@ @CPPFLAGS@"
       ;;
     --cxxflags)
       echo '@CXXFLAGS@'

Comment 1 Albert Strasheim 2002-12-03 20:22:27 UTC
How long until an official fix from Red Hat?


Note You need to log in before you can comment on or make changes to this bug.